Autor Tópico: Problema com apt-get.  (Lida 2819 vezes)

Offline yuneyev

  • Usuário Ubuntu
  • *
  • Mensagens: 20
    • Ver perfil
Problema com apt-get.
« Online: 28 de Setembro de 2006, 17:00 »
Não sei se é o melhor local pra esta dúvida, mas vamos lá.

Recentemente instalei o pacote postgresql-8.1 via apt-get, beleza.
Dai, desinstalei-o via apt-get e instalei de novo.

Agora acontece o seguinte...
Quando eu vou tentar instalar algum pacote, ele instala o pacote que eu pedi corretamente, mas retorna a seguinte mensagem no final:

Erros foram encontrados durante processamento de:
 postgresql-8.1
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ok...o meu sistema diz que o postgres está instalado, dai quando tento desinstalá-lo via apt-get tenho o seguinte:

Removendo postgresql-8.1 ...
 * Stopping PostgreSQL 8.1 database server  * Error: specified cluster does not exist
                                                                         [fail]
invoke-rc.d: initscript postgresql-8.1, action "stop" failed.
dpkg: erro processando postgresql-8.1 (--remove):
 subprocesso pre-removal script retornou código de saída de error 1
 * Starting PostgreSQL 8.1 database server  * Error: specified cluster does not exist
                                                                         [fail]
invoke-rc.d: initscript postgresql-8.1, action "start" failed.
dpkg: erro enquanto efetuava-se a limpeza:
 subprocesso post-installation script retornou código de saída de error 1
Erros foram encontrados durante processamento de:
 postgresql-8.1
E: Sub-process /usr/bin/dpkg returned an error code (1)

E quando tento instalá-lo novamente:
Error: cluster configuration already exists
dpkg: erro processando postgresql-8.1 (--configure):
 subprocesso post-installation script retornou código de saída de error 1
Erros foram encontrados durante processamento de:
 postgresql-8.1
E: Sub-process /usr/bin/dpkg returned an error code (1)




Alguém sabe o que posso fazer? :(